aboutsummaryrefslogtreecommitdiff
path: root/installer/install-powershell-languageserver.sh
diff options
context:
space:
mode:
Diffstat (limited to 'installer/install-powershell-languageserver.sh')
-rwxr-xr-xinstaller/install-powershell-languageserver.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/installer/install-powershell-languageserver.sh b/installer/install-powershell-languageserver.sh
new file mode 100755
index 0000000..f9f823f
--- /dev/null
+++ b/installer/install-powershell-languageserver.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -e
+
+curl -L -o PowerShellEditorServices.zip "https://github.com/PowerShell/PowerShellEditorServices/releases/download/2.0.0-preview.8/PowerShellEditorServices.zip"
+unzip PowerShellEditorServices.zip
+rm PowerShellEditorServices.zip
+mkdir session
+
+cat <<EOF >powershell-languageserver
+#!/usr/bin/env bash
+
+DIR=\$(cd \$(dirname \$0); pwd)
+PSES_BUNDLE_PATH=\$DIR/PowerShellEditorServices
+SESSION_TEMP_PATH=\$DIR/session
+pwsh -NoLogo -NoProfile -ExecutionPolicy RemoteSigned -Command "\$PSES_BUNDLE_PATH/PowerShellEditorServices/Start-EditorServices.ps1 -BundledModulesPath \$PSES_BUNDLE_PATH -LogPath \$SESSION_TEMP_PATH/logs.log -SessionDetailsPath \$SESSION_TEMP_PATH/session.json -FeatureFlags @() -AdditionalModules @() -HostName 'My Client' -HostProfileId 'myclient' -HostVersion 1.0.0 -Stdio -LogLevel Normal"
+EOF
+
+chmod +x powershell-languageserver